﻿@model WebNutricionNet.Models.ViewModel.Paciente
@{
    ViewBag.Title = "Ingreso de Pacientes";
}

<h2>Ingreso de Pacientes</h2>

<div class="container">
    <div class="row justify-content-center align-items-center">
        <div class="col-4">
            <div class="card shadow">

                <div class="card-body">
                    <div>
                        <header>
                            <h3>Pacientes</h3>
                            <hr />
                        </header>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(u => u.Rut, true)
                        @Html.TextBoxFor(u => u.Rut, new { @class = "form-control", style = "max-width: 100%;", @id = "txtRut", placeholder = "11.111.111-1" })
                        @Html.ValidationMessageFor(u => u.Rut, null, new { @class = "text-danger" })


                        @Html.LabelFor(u => u.Nombre, true)
                        @Html.TextBoxFor(u => u.Nombre, new { @class = "form-control", style = "max-width: 100%;", @id = "txtNombre", placeholder = "Juanito" })
                        @Html.ValidationMessageFor(u => u.Nombre, null, new { @class = "text-danger" })

                        @Html.LabelFor(u => u.Apellidos, true)
                        @Html.TextBoxFor(u => u.Apellidos, new { @class = "form-control", style = "max-width: 100%;", @id = "txtApellidos", placeholder = "Torres Silva" })
                        @Html.ValidationMessageFor(u => u.Apellidos, null, new { @class = "text-danger" })

                        @Html.LabelFor(u => u.FechaNacimiento, true)
                        @Html.TextBoxFor(u => u.FechaNacimiento, new { @class = "form-control", style = "max-width: 100%;", @id = "txtFechaNacimiento", placeholder = "11/02/1990" })
                        @Html.ValidationMessageFor(u => u.FechaNacimiento, null, new { @class = "text-danger" })

                        @Html.LabelFor(u => u.Correo, true)
                        @Html.TextBoxFor(u => u.Correo, new { @class = "form-control", style = "max-width: 100%;", @id = "txtCorreo", placeholder = "correo@correo.cl" })
                        @Html.ValidationMessageFor(u => u.Correo, null, new { @class = "text-danger" })

                        @Html.LabelFor(u => u.Telefono, true)
                        @Html.TextBoxFor(u => u.Telefono, new { @class = "form-control", style = "max-width: 100%;", @id = "txtTelefono", placeholder = "+56 91234234" })
                        @Html.ValidationMessageFor(u => u.Telefono, null, new { @class = "text-danger" })

                        @Html.LabelFor(u => u.LugarAtencion, true)
                        @Html.TextBoxFor(u => u.LugarAtencion, new { @class = "form-control", style = "max-width: 100%;", @id = "txtLugarAtencion", placeholder = "Centro Clinico..." })
                        @Html.ValidationMessageFor(u => u.LugarAtencion, null, new { @class = "text-danger" })
                    </div>
                    <div class="form-group">

                        <input id="IngresoBtn" type="button" value="Ingreso" class="btn btn-primary" onclick="Ingreso()" />
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>

<!-- Modal  -->
<div class="modal fade" id="ModalError" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title " id="exampleModalLabel">Advertencia!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Por favor vuelva a intentarlo.
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>

            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalSucces" tabindex="-1" aria-labelledby="ModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title " id="exampleModalLabel">Advertencia!</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                Paciente registrado.
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-outline-secondary" data-dismiss="modal">Cerrar</button>

            </div>
        </div>
    </div>
</div>


<script type="text/javascript">
    document.addEventListener("DOMContentLoaded", function (event) {
        //código a ejecutar cuando el DOM está listo para recibir acciones y no generar problemas con javascript

        $(function () {
            $('#ModalError').modal({
                backdrop: 'static',
                keyboard: false,
                show: false
            });

        });

        $(function () {
            $('#ModalSucces').modal({
                backdrop: 'static',
                keyboard: false,
                show: false
            });

        });

    });


    function Ingreso() {
        console.log("boton clic");

        let rut = document.getElementById('txtRut').value;
        let nombre = document.getElementById('txtNombre').value;
        let apellidos = document.getElementById('txtApellidos').value;
        let FechaNacimiento = document.getElementById('txtFechaNacimiento').value;     
        let correo = document.getElementById('txtCorreo').value; 
        let telefono = document.getElementById('txtTelefono').value; 
        let lugarAtencion = document.getElementById('txtLugarAtencion').value; 

        //Borramos los errores de los span
        document.querySelectorAll('[data-valmsg-for]').forEach(
            function (e) { e.innerHTML = "" }
        );
        console.log("nombre: " + nombre);
        console.log("apellidos: " + apellidos);
        console.log("edad: " + FechaNacimiento);
        let datax = "{'rut': '" + rut + "','nombre': '" + nombre + "','apellidos': '" + apellidos + "', 'FechaNacimiento': '" + FechaNacimiento + "','correo': '" + correo + "','telefono': '" + telefono + "', 'lugarAtencion': '" + lugarAtencion + "'}";
        console.log(datax);
        $.ajax
            ({
                type: "POST",
                url: "/IngresoPaciente/Create",
                contentType: "application/json",
                dataType: 'json',
                data: datax
            }).done(function (result) {
                $('#ModalSucces').modal('show');
            }
            ).fail(function (result) {
                console.log("error:");
                console.log(result);
                if (result.hasOwnProperty("responseJSON")) {
                    let cant = result.responseJSON.length;
                    let json = result.responseJSON;
                    for (let i = 0; i < cant; i++) {
                        //console.log(json[i].key);
                        //console.log(json[i].errors[0]);
                        $('span[data-valmsg-for="' + json[i].key + '"]').text(json[i].errors[0]);
                    }
                }
                else {
                    $('#ModalError').modal('show');
                }

            });
    }
</script>



